schema_version: 1

context:
  version: 0.46.4

package:
  name: pixman
  version: ${{ version }}

source:
  url: http://cairographics.org/releases/pixman-${{ version }}.tar.gz
  sha256: d09c44ebc3bd5bee7021c79f922fe8fb2fb57f7320f55e97ff9914d2346a591c
  patches:
    - meson-darwin-versions.patch

build:
  number: 1

requirements:
  build:
    - ${{ compiler('c') }}
    - ${{ stdlib("c") }}
    - ${{ compiler('cxx') }}
    - meson
    - ninja
    - pkg-config
  run_exports:
    - ${{ pin_subpackage('pixman') }}

tests:
  - script:
      - if: not win
        then: test -f ${PREFIX}/lib/libpixman-1.a

about:
  license: MIT
  license_file: COPYING
  summary: A low-level software library for pixel manipulation.
  description: |
    Pixman is a low-level software library for pixel manipulation, providing
    features such as image compositing and trapezoid rasterization.
  homepage: http://www.pixman.org/
  repository: https://cgit.freedesktop.org/pixman/

extra:
  recipe-maintainers:
    - ccordoba12
    - jakirkham
    - ocefpaf
    - pkgw
    - sdvillal
